%define opt		%(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%if !%{opt}
%define debug_package	%{nil}
%endif

%define pkgname		ocplib-simplex

Name:		ocaml-%{pkgname}
Version:	0.3
Release:	%mkrel 1
Summary:	Simplex algorithm for solving systems of linear inequalities
Group:		Development/OCaml
# The same exception to clause 6 as provided by ocaml applies to this package.
License:	LGPLv2 with exceptions
URL:		https://github.com/OCamlPro-Iguernlala/ocplib-simplex
Source0:	https://github.com/OCamlPro-Iguernlala/%{pkgname}/archive/%{version}/%{pkgname}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	ocaml-findlib-devel

%description
This package contains a library implementing a simplex algorithm, in a
functional style, for solving systems of linear inequalities and
optimizing linear objective functions.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{pkgname}-%{version}
autoconf

%build
%configure2_5x
%if %opt
%make_build opt
%else
%make_build byte
%endif

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
%make_install

%check
make local-tests

%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/%{pkgname}/
%if %opt
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%endif
%exclude %{_libdir}/ocaml/*/*.mli

%files devel
%doc extra/simplex_invariants.txt
%if %opt
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%endif
%{_libdir}/ocaml/*/*.mli


%changelog
* Sat Jan 21 2017 daviddavid <daviddavid> 0.3-1.mga6
+ Revision: 1082645
- imported package ocaml-ocplib-simplex

